import C3b._


assert(compute(syard(split("3 + 4 * ( 2 - 1 )"))) == 7)
assert(compute(syard(split("10 + 12 * 33"))) == 406)
assert(compute(syard(split("( 5 + 7 ) * 2"))) == 24)
assert(compute(syard(split("5 + 7 / 2"))) == 8)
assert(compute(syard(split("5 * 7 / 2"))) == 17)
assert(compute(syard(split("9 + 24 / ( 7 - 3 )"))) == 15)
assert(compute(syard(split("4 ^ 3 ^ 2"))) == 262144)
assert(compute(syard(split("4 ^ ( 3 ^ 2 )"))) == 262144)
assert(compute(syard(split("( 4 ^ 3 ) ^ 2"))) == 4096)
assert(compute(syard(split("( 3 + 1 ) ^ 2 ^ 3"))) == 65536)
